diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
index 1f40fc6..d58807a 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Thailand Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-TH.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-th</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-TH/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-TH/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Thailand, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
@@ -111,27 +111,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nonthaburi
+    // Krung Thep Maha Nakhon
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Nonthaburi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;KrungThepMahaNakhon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nonthaburi</rdfs:label>
-      <skos:definition>The province of Nonthaburi in the country of Thailand</skos:definition>
+      <rdfs:label>Krung Thep Maha Nakhon</rdfs:label>
+      <skos:definition>The metropolitan administration of Krung Thep Maha Nakhon in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nonthaburi</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Krung Thep Maha Nakhon</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;MetropolitanAdministration"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-12">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-10">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nonthaburi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-12</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-12</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Nonthaburi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Nonthaburi"/>
+      <skos:definition>subdivision code for the metropolitan administration of Krung Thep Maha Nakhon in the country of Thailand</skos:definition>
+      <rdfs:label>TH-10</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-10</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;KrungThepMahaNakhon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;KrungThepMahaNakhon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -141,27 +141,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Prachin Buri
+    // Nong Khai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PrachinBuri">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NongKhai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Prachin Buri</rdfs:label>
-      <skos:definition>The province of Prachin Buri in the country of Thailand</skos:definition>
+      <rdfs:label>Nong Khai</rdfs:label>
+      <skos:definition>The province of Nong Khai in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Prachin Buri</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nong Khai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-25">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-43">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Prachin Buri in the country of Thailand</skos:definition>
-      <rdfs:label>TH-25</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-25</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PrachinBuri"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PrachinBuri"/>
+      <skos:definition>subdivision code for the province of Nong Khai in the country of Thailand</skos:definition>
+      <rdfs:label>TH-43</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-43</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NongKhai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NongKhai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -171,27 +171,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakhon Nayok
+    // Lamphun
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonNayok">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Lamphun">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakhon Nayok</rdfs:label>
-      <skos:definition>The province of Nakhon Nayok in the country of Thailand</skos:definition>
+      <rdfs:label>Lamphun</rdfs:label>
+      <skos:definition>The province of Lamphun in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Nayok</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Lamphun</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-26">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-51">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nakhon Nayok in the country of Thailand</skos:definition>
-      <rdfs:label>TH-26</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-26</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonNayok"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonNayok"/>
+      <skos:definition>subdivision code for the province of Lamphun in the country of Thailand</skos:definition>
+      <rdfs:label>TH-51</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-51</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Lamphun"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Lamphun"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -201,27 +201,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Buri Ram
+    // Chiang Rai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;BuriRam">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChiangRai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Buri Ram</rdfs:label>
-      <skos:definition>The province of Buri Ram in the country of Thailand</skos:definition>
+      <rdfs:label>Chiang Rai</rdfs:label>
+      <skos:definition>The province of Chiang Rai in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Buri Ram</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chiang Rai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-31">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-57">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Buri Ram in the country of Thailand</skos:definition>
-      <rdfs:label>TH-31</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-31</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;BuriRam"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;BuriRam"/>
+      <skos:definition>subdivision code for the province of Chiang Rai in the country of Thailand</skos:definition>
+      <rdfs:label>TH-57</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-57</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChiangRai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChiangRai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -231,27 +231,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Si Sa Ket
+    // Tak
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SiSaKet">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Tak">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Si Sa Ket</rdfs:label>
-      <skos:definition>The province of Si Sa Ket in the country of Thailand</skos:definition>
+      <rdfs:label>Tak</rdfs:label>
+      <skos:definition>The province of Tak in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Si Sa Ket</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Tak</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-33">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-63">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Si Sa Ket in the country of Thailand</skos:definition>
-      <rdfs:label>TH-33</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-33</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SiSaKet"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SiSaKet"/>
+      <skos:definition>subdivision code for the province of Tak in the country of Thailand</skos:definition>
+      <rdfs:label>TH-63</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-63</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Tak"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Tak"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -261,27 +261,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khon Kaen
+    // Ratchaburi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;KhonKaen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Ratchaburi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khon Kaen</rdfs:label>
-      <skos:definition>The province of Khon Kaen in the country of Thailand</skos:definition>
+      <rdfs:label>Ratchaburi</rdfs:label>
+      <skos:definition>The province of Ratchaburi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Khon Kaen</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ratchaburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-40">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-70">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Khon Kaen in the country of Thailand</skos:definition>
-      <rdfs:label>TH-40</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-40</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;KhonKaen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;KhonKaen"/>
+      <skos:definition>subdivision code for the province of Ratchaburi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-70</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-70</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Ratchaburi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Ratchaburi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -291,27 +291,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chiang Mai
+    // Prachuap Khiri Khan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChiangMai">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PrachuapKhiriKhan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chiang Mai</rdfs:label>
-      <skos:definition>The province of Chiang Mai in the country of Thailand</skos:definition>
+      <rdfs:label>Prachuap Khiri Khan</rdfs:label>
+      <skos:definition>The province of Prachuap Khiri Khan in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chiang Mai</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Prachuap Khiri Khan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-50">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-77">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chiang Mai in the country of Thailand</skos:definition>
-      <rdfs:label>TH-50</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-50</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChiangMai"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChiangMai"/>
+      <skos:definition>subdivision code for the province of Prachuap Khiri Khan in the country of Thailand</skos:definition>
+      <rdfs:label>TH-77</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-77</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PrachuapKhiriKhan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PrachuapKhiriKhan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -321,27 +321,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Uttaradit
+    // Phangnga
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Uttaradit">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phangnga">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Uttaradit</rdfs:label>
-      <skos:definition>The province of Uttaradit in the country of Thailand</skos:definition>
+      <rdfs:label>Phangnga</rdfs:label>
+      <skos:definition>The province of Phangnga in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Uttaradit</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phangnga</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-53">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-82">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Uttaradit in the country of Thailand</skos:definition>
-      <rdfs:label>TH-53</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-53</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Uttaradit"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Uttaradit"/>
+      <skos:definition>subdivision code for the province of Phangnga in the country of Thailand</skos:definition>
+      <rdfs:label>TH-82</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-82</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phangnga"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phangnga"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -351,27 +351,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kamphaeng Phet
+    // Trang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;KamphaengPhet">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Trang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kamphaeng Phet</rdfs:label>
-      <skos:definition>The province of Kamphaeng Phet in the country of Thailand</skos:definition>
+      <rdfs:label>Trang</rdfs:label>
+      <skos:definition>The province of Trang in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Kamphaeng Phet</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Trang</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-62">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-92">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Kamphaeng Phet in the country of Thailand</skos:definition>
-      <rdfs:label>TH-62</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-62</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;KamphaengPhet"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;KamphaengPhet"/>
+      <skos:definition>subdivision code for the province of Trang in the country of Thailand</skos:definition>
+      <rdfs:label>TH-92</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-92</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Trang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Trang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -381,27 +381,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sukhothai
+    // Phatthalung
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Sukhothai">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phatthalung">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sukhothai</rdfs:label>
-      <skos:definition>The province of Sukhothai in the country of Thailand</skos:definition>
+      <rdfs:label>Phatthalung</rdfs:label>
+      <skos:definition>The province of Phatthalung in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sukhothai</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phatthalung</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-64">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-93">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sukhothai in the country of Thailand</skos:definition>
-      <rdfs:label>TH-64</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-64</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Sukhothai"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Sukhothai"/>
+      <skos:definition>subdivision code for the province of Phatthalung in the country of Thailand</skos:definition>
+      <rdfs:label>TH-93</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-93</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phatthalung"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phatthalung"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -411,27 +411,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phetchaburi
+    // Lop Buri
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phetchaburi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;LopBuri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phetchaburi</rdfs:label>
-      <skos:definition>The province of Phetchaburi in the country of Thailand</skos:definition>
+      <rdfs:label>Lop Buri</rdfs:label>
+      <skos:definition>The province of Lop Buri in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phetchaburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Lop Buri</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-76">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-16">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phetchaburi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-76</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-76</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phetchaburi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phetchaburi"/>
+      <skos:definition>subdivision code for the province of Lop Buri in the country of Thailand</skos:definition>
+      <rdfs:label>TH-16</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-16</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;LopBuri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;LopBuri"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -441,27 +441,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Krabi
+    // Chachoengsao
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Krabi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chachoengsao">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Krabi</rdfs:label>
-      <skos:definition>The province of Krabi in the country of Thailand</skos:definition>
+      <rdfs:label>Chachoengsao</rdfs:label>
+      <skos:definition>The province of Chachoengsao in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Krabi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chachoengsao</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-81">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-24">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Krabi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-81</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-81</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Krabi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Krabi"/>
+      <skos:definition>subdivision code for the province of Chachoengsao in the country of Thailand</skos:definition>
+      <rdfs:label>TH-24</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-24</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chachoengsao"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chachoengsao"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -471,27 +471,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Krung Thep Maha Nakhon
+    // Yasothon
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;KrungThepMahaNakhon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Yasothon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Krung Thep Maha Nakhon</rdfs:label>
-      <skos:definition>The metropolitan administration of Krung Thep Maha Nakhon in the country of Thailand</skos:definition>
+      <rdfs:label>Yasothon</rdfs:label>
+      <skos:definition>The province of Yasothon in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Krung Thep Maha Nakhon</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;MetropolitanAdministration"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Yasothon</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-10">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-35">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the metropolitan administration of Krung Thep Maha Nakhon in the country of Thailand</skos:definition>
-      <rdfs:label>TH-10</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-10</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;KrungThepMahaNakhon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;KrungThepMahaNakhon"/>
+      <skos:definition>subdivision code for the province of Yasothon in the country of Thailand</skos:definition>
+      <rdfs:label>TH-35</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-35</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Yasothon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Yasothon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
